Page MenuHomePhabricator

Create Tainted Icon Vue component
Closed, ResolvedPublic

Description

AC:

  • Create Icon component - Patch is up
  • Add to storybook -Patch is up
  • Add to CSR somehow

Hints: look at termbox for an example simple component: https://github.com/wikimedia/wikibase-termbox/blob/master/src/components/Checkbox.vue
Also look at how to add stories: https://github.com/wikimedia/wikibase-termbox/blob/master/stories/Checkbox.js

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterIntroduce Basic TaintedIcon
mediawiki/extensions/Wikibase : masterSetup some Vue fundamentals for TaintedRefs

Event Timeline

noarave created this task.Sep 13 2019, 8:45 AM
noarave updated the task description. (Show Details)

Change 536584 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Setup some Vue fundamentals for TaintedRefs

https://gerrit.wikimedia.org/r/536584

Tarrow renamed this task from Create and load Vue components to Create Tainted Icon Vue component.Sep 13 2019, 12:48 PM
Tarrow updated the task description. (Show Details)
Tarrow updated the task description. (Show Details)
Tarrow moved this task from Doing to To Do on the Wikidata-Tainted-References-Sprint1 board.
Tarrow updated the task description. (Show Details)Sep 16 2019, 9:13 AM
Tarrow claimed this task.Sep 16 2019, 1:29 PM
Tarrow moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint1 board.

Change 536584 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Setup some Vue fundamentals for TaintedRefs

https://gerrit.wikimedia.org/r/536584

Change 537186 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Introduce Basic TaintedIcon

https://gerrit.wikimedia.org/r/537186

Tarrow updated the task description. (Show Details)Sep 17 2019, 7:45 AM
Tarrow moved this task from Doing to To Do on the Wikidata-Tainted-References-Sprint1 board.

This is blocked by two things:

  • Having a CSR to put the component on
  • Being able to localise the component

Change 537186 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce Basic TaintedIcon

https://gerrit.wikimedia.org/r/537186

noarave updated the task description. (Show Details)Sep 26 2019, 8:47 AM
Tarrow closed this task as Resolved.Tue, Oct 22, 2:22 PM
DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks